class Deis::Client::User < Cistern::Model
  identity :id, type: :integer

  attribute :email,            type: :string
  attribute :first_name,       type: :string
  attribute :groups,           type: :array
  attribute :is_staff,         type: :string
  attribute :is_superuser,     type: :string
  attribute :last_name,        type: :string
  attribute :user_permissions, type: :array
  attribute :username,         type: :string

  attr_accessor :password

  def save
    if new_record?
      merge_attributes(
        connection.register_user(
          Cistern::Hash.stringify_keys(self.attributes.merge("password" => self.password))
        ).body
      )
    else
      raise NotImplementedError # not available ?
    end
  end
end
